Solana
Ok
Interface representing the response from the Account API. Extends the BaseAPIResponse to include additional data specific to account responses.
The success status of the operation.
The message associated with the operation.
The address associated with the operation.
GET /solana HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Accept: */*
Ok
{
"success": true,
"message": "text",
"body": {
"to": "text",
"data": "text",
"value": "text",
"gasLimit": "text",
"nonce": "text",
"simulate": true,
"gas": "text",
"gasPrice": "text",
"maxFeePerGas": "text",
"maxPriorityFeePerGas": "text",
"chain_id": "text",
"encoding": "text",
"type": 1,
"accessList": [
{
"address": "text",
"storageKeys": [
"text"
]
}
],
"blobGas": "text",
"blobGasFeeCap": "text",
"blobHashes": [
"text"
],
"dryrun": true,
"input": "text",
"EOA": true,
"contract_address": "text",
"token_id": "text",
"token_ids": "text",
"approved": true,
"broadcast": true,
"alwaysIncrementNonce": true,
"asset": "text",
"amount": "text",
"interestRateMode": 1,
"referralCode": 1,
"onBehalfOf": "text",
"receiverAddress": "text",
"assets": [
"text"
],
"amounts": [
"text"
],
"modes": [
1
],
"params": "text",
"rateMode": 1,
"useAsCollateral": true,
"collateralAsset": "text",
"debtAsset": "text",
"user": "text",
"debtToCover": "text",
"receiveAToken": true,
"inputTokens": [
{
"tokenAddress": "text",
"amount": "text"
}
],
"outputTokens": [
{
"tokenAddress": "text",
"proportion": 1
}
],
"slippageLimitPercent": 1,
"minHealthFactor": "text",
"premiums": [
"text"
],
"initiator": "text",
"role": "text",
"account": "text",
"initialDeposit": "text",
"borrowAmount": "text"
},
"address": "text",
"data": {
"keys": [
"text"
],
"address": "text",
"private_key": "text",
"public_key": "text",
"data": {
"keys": [
"text"
],
"address": "text",
"private_key": "text",
"public_key": "text"
}
}
}Represents the input parameters required for a Solana transaction.
The network on which the transaction is taking place.
The private key of the account.
Ok
Interface representing the response from the Account API. Extends the BaseAPIResponse to include additional data specific to account responses.
The success status of the operation.
The message associated with the operation.
The address associated with the operation.
POST /solana HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 39
{
"network": "text",
"private_key": "text"
}Ok
{
"success": true,
"message": "text",
"body": {
"to": "text",
"data": "text",
"value": "text",
"gasLimit": "text",
"nonce": "text",
"simulate": true,
"gas": "text",
"gasPrice": "text",
"maxFeePerGas": "text",
"maxPriorityFeePerGas": "text",
"chain_id": "text",
"encoding": "text",
"type": 1,
"accessList": [
{
"address": "text",
"storageKeys": [
"text"
]
}
],
"blobGas": "text",
"blobGasFeeCap": "text",
"blobHashes": [
"text"
],
"dryrun": true,
"input": "text",
"EOA": true,
"contract_address": "text",
"token_id": "text",
"token_ids": "text",
"approved": true,
"broadcast": true,
"alwaysIncrementNonce": true,
"asset": "text",
"amount": "text",
"interestRateMode": 1,
"referralCode": 1,
"onBehalfOf": "text",
"receiverAddress": "text",
"assets": [
"text"
],
"amounts": [
"text"
],
"modes": [
1
],
"params": "text",
"rateMode": 1,
"useAsCollateral": true,
"collateralAsset": "text",
"debtAsset": "text",
"user": "text",
"debtToCover": "text",
"receiveAToken": true,
"inputTokens": [
{
"tokenAddress": "text",
"amount": "text"
}
],
"outputTokens": [
{
"tokenAddress": "text",
"proportion": 1
}
],
"slippageLimitPercent": 1,
"minHealthFactor": "text",
"premiums": [
"text"
],
"initiator": "text",
"role": "text",
"account": "text",
"initialDeposit": "text",
"borrowAmount": "text"
},
"address": "text",
"data": {
"keys": [
"text"
],
"address": "text",
"private_key": "text",
"public_key": "text",
"data": {
"keys": [
"text"
],
"address": "text",
"private_key": "text",
"public_key": "text"
}
}
}Ok
Interface representing the response from the Account API. Extends the BaseAPIResponse to include additional data specific to account responses.
The success status of the operation.
The message associated with the operation.
The address associated with the operation.
GET /solana/{accountName} HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Accept: */*
Ok
{
"success": true,
"message": "text",
"body": {
"to": "text",
"data": "text",
"value": "text",
"gasLimit": "text",
"nonce": "text",
"simulate": true,
"gas": "text",
"gasPrice": "text",
"maxFeePerGas": "text",
"maxPriorityFeePerGas": "text",
"chain_id": "text",
"encoding": "text",
"type": 1,
"accessList": [
{
"address": "text",
"storageKeys": [
"text"
]
}
],
"blobGas": "text",
"blobGasFeeCap": "text",
"blobHashes": [
"text"
],
"dryrun": true,
"input": "text",
"EOA": true,
"contract_address": "text",
"token_id": "text",
"token_ids": "text",
"approved": true,
"broadcast": true,
"alwaysIncrementNonce": true,
"asset": "text",
"amount": "text",
"interestRateMode": 1,
"referralCode": 1,
"onBehalfOf": "text",
"receiverAddress": "text",
"assets": [
"text"
],
"amounts": [
"text"
],
"modes": [
1
],
"params": "text",
"rateMode": 1,
"useAsCollateral": true,
"collateralAsset": "text",
"debtAsset": "text",
"user": "text",
"debtToCover": "text",
"receiveAToken": true,
"inputTokens": [
{
"tokenAddress": "text",
"amount": "text"
}
],
"outputTokens": [
{
"tokenAddress": "text",
"proportion": 1
}
],
"slippageLimitPercent": 1,
"minHealthFactor": "text",
"premiums": [
"text"
],
"initiator": "text",
"role": "text",
"account": "text",
"initialDeposit": "text",
"borrowAmount": "text"
},
"address": "text",
"data": {
"keys": [
"text"
],
"address": "text",
"private_key": "text",
"public_key": "text",
"data": {
"keys": [
"text"
],
"address": "text",
"private_key": "text",
"public_key": "text"
}
}
}